ServerEvents.recipes(event => {

event.remove({id:'extendedcrafting:black_iron_ingot'})

event.recipes.create.deploying('extendedcrafting:black_iron_ingot',
[
'create_new_age:overcharged_iron',
'handcrafted:black_sheet'
])

event.remove({id:'extendedcrafting:black_iron_block_uncraft'})

event.remove({id:'extendedcrafting:black_iron_ingot_recraft'})

event.remove({id:'extendedcrafting:black_iron_ingot_uncraft'})

event.remove({id:'extendedcrafting:black_iron_block'})

event.remove({id:'extendedcrafting:black_iron_slate'})

event.recipes.create.pressing('extendedcrafting:black_iron_slate',
'extendedcrafting:black_iron_ingot')

event.remove({id:'extendedcrafting:elite_catalyst'})

event.recipes.thermal.smelter('extendedcrafting:basic_catalyst',[
'32x pneumaticcraft:compressed_iron_block',
'extendedcrafting:black_iron_slate'
]).energy(10000)

event.recipes.thermal.smelter('extendedcrafting:advanced_catalyst',[
'32x quark:golden_apple_crate',
'extendedcrafting:basic_component'
]).energy(10000)

event.recipes.thermal.smelter('extendedcrafting:elite_catalyst',[
'32x rftoolsbase:infused_diamond',
'extendedcrafting:advanced_component'
]).energy(10000)

event.remove({id:'extendedcrafting:elite_component'})

event.recipes.create.cutting('extendedcrafting:basic_component', 'extendedcrafting:basic_catalyst').processingTime(6000)

event.recipes.create.cutting('extendedcrafting:advanced_component', 'extendedcrafting:advanced_catalyst').processingTime(6000)

event.recipes.create.cutting('extendedcrafting:elite_component', 'extendedcrafting:elite_catalyst').processingTime(6000)

event.remove({id:'extendedcrafting:ultimate_catalyst'})

event.recipes.thermal.smelter('extendedcrafting:ultimate_catalyst',[
'32x tofucraft:zundaruby',
'extendedcrafting:elite_component'
]).energy(10000)

event.remove({id:'extendedcrafting:ultimate_singularity'})

event.remove({id:'extendedcrafting:pedestal'})

event.remove({id:'extendedcrafting:crafting_core'})

event.remove({id:'extendedcrafting:basic_table'})

event.remove({id:'extendedcrafting:advanced_table'})

event.remove({id:'extendedcrafting:elite_table'})

event.remove({id:'extendedcrafting:ultimate_table'})

event.remove({id:'extendedcrafting:basic_auto_table'})

event.remove({id:'extendedcrafting:advanced_auto_table'})

event.remove({id:'extendedcrafting:elite_auto_table'})

event.remove({id:'extendedcrafting:ultimate_auto_table'})

event.remove({id:'extendedcrafting:ender_alternator'})

event.remove({id:'extendedcrafting:ender_crafter'})

event.remove({id:'extendedcrafting:auto_ender_crafter'})

event.remove({id:'extendedcrafting:flux_alternator'})

event.remove({id:'extendedcrafting:flux_crafter'})

event.remove({id:'extendedcrafting:auto_flux_crafter'})

event.remove({id:'extendedcrafting:luminessence'})

event.remove({id:'extendedcrafting:redstone_ingot'})

event.remove({id:'extendedcrafting:enhanced_redstone_ingot'})

event.remove({id:'extendedcrafting:ender_ingot'})

event.remove({id:'extendedcrafting:enhanced_ender_ingot'})

event.remove({id:'extendedcrafting:crystaltine_ingot'})

event.remove({id:'extendedcrafting:basic_catalyst'})

event.remove({id:'extendedcrafting:advanced_catalyst'})

event.remove({id:'extendedcrafting:redstone_catalyst'})

event.remove({id:'extendedcrafting:enhanced_redstone_catalyst'})

event.remove({id:'extendedcrafting:ender_catalyst'})

event.remove({id:'extendedcrafting:enhanced_ender_catalyst'})

event.remove({id:'extendedcrafting:crystaltine_catalyst'})

event.remove({id:'extendedcrafting:the_ultimate_catalyst'})

event.remove({id:'extendedcrafting:basic_component'})

event.remove({id:'extendedcrafting:advanced_component'})

event.remove({id:'extendedcrafting:ultimate_component'})

event.remove({id:'extendedcrafting:redstone_component'})

event.remove({id:'extendedcrafting:enhanced_redstone_component'})

event.remove({id:'extendedcrafting:ender_component'})

event.remove({id:'extendedcrafting:enhanced_ender_component'})

event.remove({id:'extendedcrafting:crystaltine_component'})

event.remove({id:'extendedcrafting:the_ultimate_component'})

event.remove({id:'extendedcrafting:flux_star'})

event.remove({id:'extendedcrafting:ender_star'})

event.remove({id:'extendedcrafting:handheld_table'})

event.recipes.thermal.press('extendedcrafting:black_iron_slate', 'extendedcrafting:black_iron_ingot')

 event.recipes.create.mechanical_crafting('extendedcrafting:ultimate_table', [
    'UCU',
    'CRC',
    'UCU'
  ], {
U:'extendedcrafting:ultimate_catalyst',
C:'quark:crafter',
R:'rftoolsutility:crafter3',
})

event.remove({id:'extendedcrafting:compressor'})

event.remove({id:'extendedcrafting:frame'})

})